StandardValue

Updates a StandardValue.

Updates a StandardValue.

PATCH/api/standard-values/{id}

Authorizations

X-AUTH-TOKEN
stringheaderrequired

Value for the X-AUTH-TOKEN header parameter.

Path Parameters

id
stringrequired

StandardValue identifier

Request Body

application/json
required

The updated StandardValue resource

{
  "identifier": "key1",
  "value": "line1\nline2",
  "active": true,
  "activeFrom": "2024-01-01"
}

Response

200application/json

StandardValue resource updated

id
integer

Identifier generated by Output.Rocks.

Example: 12345

identifier
stringrequired

Unique identifier

Example: "key1"

value
stringrequired

Value

Example: "line1\nline2"

createdBy
string

User, created this entry

Example: "user1@company.com"

updatedBy
string

User, updated this entry

Example: "user1@company.com"

createdAt
string<date-time>

UTC date time of entry creation

Example: "2024-08-23T00:00:00+00:00"

updatedAt
string<date-time>

UTC date time of last entry update

Example: "2024-08-23T00:00:00+00:00"

active
boolean

Active flag. Default: true

Available options: truefalse

Example: true

activeFrom
string<date-time>

Date to activate the entry. Default: today

Example: "2024-01-01"